/*
  ePaper Display with SRAM and micro SD
  By: Ciara Jekel
  SparkFun Electronics
  Date: August 13th, 2018
  License: This code is public domain but you buy me a beer if you use this and we meet someday (Beerware license).

  Feel like supporting our work? Buy a board from SparkFun!
  https://www.sparkfun.com/products/14892

  This example draws basic shapes on the display.

  Hardware Connections:
  BUSY   9
  RST    8
  MISO  12
  MOSI  11
  SCK   13
  SDCS   7
  SRCS   6
  DCS    5
  D/C    4
  GND    GND
  5V     Logic Level (if using 5V logic (e.g. Arduino) connect to 5V. if using 3.3V logic (e.g. Teensy) connect to 3.3V)

*/
#include "SparkFun_ePaper_154.h"
#include <SPI.h>
#include <SD.h>

const byte busyPin = 9;
const byte resetPin = 8;
const byte sdCSPin = 7;
const byte srCSPin = 6;
const byte dCSPin = 5;
const byte dcPin = 4;

EPAPER_154 myEPaper;

void setup() {
  Serial.begin(9600);

  if (!myEPaper.begin(busyPin, resetPin, sdCSPin, srCSPin, dCSPin, dcPin))
    Serial.println("No SD Card Detected");

  //fill display with red
  myEPaper.fillScreen(RED);
  //draw black rectangle 
  myEPaper.rectangle(12, 12, 110, 110, BLACK);
  //draw white rectangle
  myEPaper.rectangle(14, 14, 108, 108, WHITE);
  //draw black filled rectangle
  myEPaper.rectangle(16, 16, 106, 106, BLACK, true);
  //update display
  //the drawings are not seen until this is called
  myEPaper.updateDisplay();

}

void loop() {
  // put your main code here, to run repeatedly:

}

